KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Reconstruye el sistema de configuración de caché.

RESUMEN

kbuildsycoca4 [[--nosignal] | [--noincremental] | [--checkstamps] | [--nocheckfiles] | [--global] | [--menutest] | [--track menu-id] | [--help] | [--help-qt] | [--help-kde] | [--help-all] | [--author] | [-v, --version] | [--license]]

DESCRIPCIóN

kbuildsycoca4, como parte de las herramientas de la línea de órdenes de KDE asegura el correcto funcionamiento de KDE leyendo en todos los archivos .desktop, .xml y .protocol para construir una base de datos binaria.

KDE accede a esta base de datos durante la operación para proporcionar información de configuración que un programa necesita para ejecutarse.

Esta herramienta es parte de ksycoca4, que se incluye como caché de la configuración del sistema de KDE

OPCIONES

--nosignal
    Aplicaciones sin señal para actualizar

--noincremental
    Desactivar actualización incremental, volver a leer todo

--checkstamps
    Comprobar las marcas de tiempo de los archivos

--nocheckfiles
    Desactivar la comprobación de archivos (peligroso)

--global
    Crear base de datos global

--menutest
    Ejecutar solo la prueba de generación de menús

--track menu-id
    Rastrear el id. de menú para depuración

--help
    Muestra ayuda sobre las opciones

--help-qt
    Muestra las opciones específicas de Qt

--help-kde
    Muestra opciones específicas de KDE

--help-all
    Muestra todas las opciones

--author
    Muestra información del autor

-v , --version
    Muestra información de la versión

--license
    Muestra información de la licencia

UTILIZACIóN

Una forma estándar para ejecutar este programa es escribir kbuildsycoca4 en la línea de órdenes

ARCHIVOS

/var/tmp/kde-$USER/ksycoca4
    El directorio predeterminado en el que se almacenan los archivos de caché.

VARIABLES DE ENTORNO

$KDEDIRS
    Especifica qué directorios son parte de las instalaciones KDE

$KDESYCOCA
    Especifica la ruta al archivo de base de datos de sycoca

CONSULTE TAMBIéN

kdeinit4

FALLOS

Seguramente existan montones de errores. Acceda a bugs.kde.org[1] para informar sobre ellos.

AUTHOR

Darian Lanx <content@openprojects.net>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org